Name:	uio-ca-certificates
Version:	1
Release:	4%{?dist}
Summary:	UiO-DC Certificate

Group:	System Environment/Base
License: GPL
URL: https://www.uio.no
Source0:	rootca_UiO-Root-Certification-Authority.crt
Source1:	UiO-Consul-Certificate-Authority.crt
Source2:    rootca_TSD-Root-Certification-Authority.crt

BuildArch: noarch
Requires: ca-certificates

%description
UiO-CA root certificate and trusted CAs

%prep
%setup -q -c -T

%build

%install
install -d -m 0755 %{buildroot}%{_sysconfdir}/pki/ca-trust/source/anchors
install -p -m 0644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/ca-trust/source/anchors
install -p -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pki/ca-trust/source/anchors
install -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pki/ca-trust/source/anchors

%files
%{_sysconfdir}/pki/ca-trust/source/anchors/rootca_UiO-Root-Certification-Authority.crt
%{_sysconfdir}/pki/ca-trust/source/anchors/UiO-Consul-Certificate-Authority.crt
%{_sysconfdir}/pki/ca-trust/source/anchors/rootca_TSD-Root-Certification-Authority.crt

%post -p "/usr/bin/update-ca-trust extract"

%changelog
* Tue Jan 07 2020 Martin Benonisen <m.s.benonisen@usit.uio.no> - 1.4
- Add TSD PKI CA Certificate

* Wed Mar 20 2019 Jarle Bjørgeengen <jarle.bjorgeengen@usit.uio.no> - 1.3
- Add consul CA

* Fri May 04 2018 Martin Benonisen <m.s.benonisen@usit.uio.no> - 1.1
- Initial release
